#!/tools/perl/bin/perl

# Load Tk modules
use English;
require Tk;
use Tk;

my $bg = 'grey60';
my $fg = 'white';

my $menubg = 'grey90';
my $menufg = 'black';

# Create main Tk window
my $mainWin = MainWindow->new();
#$mainWin->minsize( qw(200 200) );
$mainWin->title("Sample Perl-Tk");
$mainWin->configure(
   -background=>$bg, -foreground=>$fg
);

# Make a menu frame
my $menuFrame = $mainWin->Frame(
   -borderwidth=>3, -background=>$menubg, -foreground=>$menufg
)->pack(-side=>'top', -fill=>'x'); # x fill => x direction

# Make File pulldown menu
my $FileMenu = $menuFrame->Menubutton(
   -text=>'File', -background=>$menubg, -foreground=>$menufg,
   -activebackground=>$menubg, -activeforeground=>$menufg,
)->pack(-side=>'left');

# Add Exit button to File pulldown
my $ExitButton = $FileMenu->command(
   -label=>'Exit', -background=>$menubg, -foreground=>$menufg,
   -command=>\&ExitCB
);

# Build top frame for main window
my $top = $mainWin->Frame(
   -background=>$bg, -foreground=>$fg
)->pack(-side=>'top', -fill=>'x');

# Build a little frame for a label
my $labFrame = $top->Frame(
   -background=>$bg, -foreground=>$fg
)->pack(-side=>'top', -fill=>'x', -pady=>3, -padx=>5);

# Put a label in the label frame
my $helloLab = $labFrame->Label(
   -text=>'HELLO', -background=>$bg, -foreground=>'black'
)->pack(-side=>'left');

# Put a button in the top frame
my $exitButton = $top->Button(
   -text=>'Exit', -command=>\&ExitCB,
   -background=>'red', -foreground=>'black',
   -activebackground=>'red', -activeforeground=>'black'
)->pack();

#$mainWin->geometry('200x100+100+200');
$mainWin->geometry('+100+200');

# Enter main Tk loop
MainLoop();

# File->Exit callback
sub ExitCB {
   exit(0);
}
